<?php
include("db.php");
$requestData = $_REQUEST;
$columns = array(
    0 => 'name_year',
);

$sql = "SELECT * ";
$sql .= " FROM  `year` where `active_year` = '0' and `id_user` = '$idPublicUser'";
$query = mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "SELECT * ";
$sql .= " FROM  `year` where `active_year` = '0' and `id_user` = '$idPublicUser'";
if (!empty($requestData['search']['value'])) {
    $sql .= " AND ( id_year LIKE '" . $requestData['search']['value'] . "%'  ";
    $sql .= " OR  name_year LIKE '" . $requestData['search']['value'] . "%' ) ";
}
$query = mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query);
$sql .= " ORDER BY " . $columns[$requestData['order'][0]['column']] . "   " . $requestData['order'][0]['dir'] . "  LIMIT " . $requestData['start'] . " ," . $requestData['length'] . "   ";
$query = mysqli_query($db, $sql);
$data = array();
while ($row = mysqli_fetch_array($query)) {
    $nestedData = array();


    $nestedData[] = $row["name_year"];
    $nestedData[] = "<button type='button' class='btn btn-danger' onclick=main.deleteData('year','" . $row['id_year'] . "')>حذف</button>
	<button type='button' class='btn btn-success' onclick='pages.getYear(" . $row['id_year'] . ")'>تعديل</button>
";

    $data[] = $nestedData;
}



$json_data = array(
    "draw" => intval($requestData['draw']),
    "recordsTotal" => intval($totalData),
    "recordsFiltered" => intval($totalFiltered),
    "data" => $data
);

echo json_encode($json_data);

?>